package jalview.ext.treeviewer;

import java.util.Iterator;

public interface ExternalTreeI
{
  public ExternalTreeNodeI getRoot();

  public ExternalTreeNodeI getNodeWithName(String name);

  public ExternalTreeNodeI getFurthestNode();

  public String[] getAllLeafNames();

  public void setTreeName(String treeTitle);

  public void setRerootable(boolean b);

  public void setRooted(boolean b);

  public boolean isEmpty();

  public String getTreeName();

  public void setRoot(ExternalTreeNodeI rootNode);

  public double getHeight(boolean adjustForCollapsedSubtrees);

  public Iterator<ExternalTreeNodeI> iterateInPreOrder();

  public Iterator<ExternalTreeNodeI> iterateInLevelOrder();

  public Iterator<ExternalTreeNodeI> iterateInPostOrder();

  public ExternalTreeFrame createInstanceFromTree(String instanceTitle);

}
