package jalview.ext.treeviewer;

import jalview.datamodel.SequenceI;

import java.awt.Color;
import java.util.List;

public interface ExternalTreeNodeI
{
  final static int nodeCount = 0;

  public String getNodeName();

  public List<ExternalTreeNodeI> getAllDescendants();

  public List<ExternalTreeNodeI> getExternalDescendants();

  public List<ExternalTreeNodeI> getDirectChildren();

  public void setSequence(SequenceI seq);

  public SequenceI getSequence();

  public void addAsChild(ExternalTreeNodeI childNode);

  public long getId();

  public float getXcoord();

  public void setBranchColor(Color branchColor);

  public boolean isInternal();

  public static int getTotalNodes()
  {
    return nodeCount;
  }
}
